System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

This enumeration is used by the class.

You must enable tracing or debugging to use a switch. The following syntax is compiler specific. If you use compilers other than C# or Visual Basic, refer to the documentation for your compiler.

To enable debugging in C#, add the /d:DEBUG flag to the compiler command line when you compile your code, or you can add #define DEBUG to the top of your file. In Visual Basic, add the /d:DEBUG=True flag to the compiler command line.

To enable tracing in C#, add the /d:TRACE flag to the compiler command line when you compile your code, or add #define TRACE to the top of your file. In Visual Basic, add the /d:TRACE=True flag to the compiler command line.

For more information on instrumenting your application, see and .

In the .NET Framework version 2.0, you can use text to specify the value for a switch. For example, true for a or the text representing an enumeration value such as Error for a . The line <add name="mySwitch" value="Error" /> is equivalent to <add name="mySwitch" value="1" />.

In the .NET Framework versions 1.0 and 1.1, trace levels in configuration files are set using the integer value corresponding to the enumeration member, rather than the enumeration member itself, as the following example demonstrates.

`<configuration> <system.diagnostics> <switches> <add name="mySwitch" value="4" /> </switches> </system.diagnostics> </configuration>`

In addition to setting trace levels using the integer value of the enumeration, the .NET Framework version 2.0 trace levels can be set using the text representation of the enumeration value. For example, Verbose for a . The line <add name="mySwitch" value="Verbose" /> is equivalent to <add name="mySwitch" value="4" />.

The following table shows the relationship between the enumeration members and their corresponding configuration file entries.

Trace Level

Configuration File Value

Off

0

Error

1

Warning

2

Info

3

Verbose

4

Specifies what messages to output for the , and classes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceLevel To be added

  Output error-handling messages.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceLevel To be added

  Output informational messages, warnings, and error-handling messages.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceLevel To be added

  Output no tracing and debugging messages.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceLevel To be added

  Output all debugging and tracing messages.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceLevel To be added

  Output warnings and error-handling messages.